1. Registry
  2. Packages
  3. BiznetGIO
  4. API Docs
  5. gpuConsole
Viewing docs for Pulumi BiznetGIO Provider v0.1.7
published on Wednesday, Aug 19, 2026 by shirasakaren
biznetgio logo
Viewing docs for Pulumi BiznetGIO Provider v0.1.7
published on Wednesday, Aug 19, 2026 by shirasakaren

    Using gpuConsole

    Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.

    function gpuConsole(args: GpuConsoleArgs, opts?: InvokeOptions): Promise<GpuConsoleResult>
    function gpuConsoleOutput(args: GpuConsoleOutputArgs, opts?: InvokeOutputOptions): Output<GpuConsoleResult>
    def gpu_console(account_id: Optional[str] = None,
                    opts: Optional[InvokeOptions] = None) -> GpuConsoleResult
    def gpu_console_output(account_id: pulumi.Input[Optional[str]] = None,
                    opts: Optional[InvokeOutputOptions] = None) -> Output[GpuConsoleResult]
    func GpuConsole(ctx *Context, args *GpuConsoleArgs, opts ...InvokeOption) (*GpuConsoleResult, error)
    func GpuConsoleOutput(ctx *Context, args *GpuConsoleOutputArgs, opts ...InvokeOption) GpuConsoleResultOutput

    > Note: This function is named GpuConsole in the Go SDK.

    public static class GpuConsole 
    {
        public static Task<GpuConsoleResult> InvokeAsync(GpuConsoleArgs args, InvokeOptions? opts = null)
        public static Output<GpuConsoleResult> Invoke(GpuConsoleInvokeArgs args, InvokeOptions? opts = null)
        public static Output<GpuConsoleResult> Invoke(GpuConsoleInvokeArgs args, InvokeOutputOptions opts)
    }
    public static CompletableFuture<GpuConsoleResult> gpuConsole(GpuConsoleArgs args, InvokeOptions options)
    public static Output<GpuConsoleResult> gpuConsole(GpuConsoleArgs args, InvokeOptions options)
    public static Output<GpuConsoleResult> gpuConsole(GpuConsoleArgs args, InvokeOutputOptions options)
    
    fn::invoke:
      function: biznetgio:gpuConsole
      arguments:
        # arguments dictionary
    data "biznetgio_gpu_console" "name" {
        # arguments
    }

    The following arguments are supported:

    AccountId string
    Account id of the GPU instance to get console access for.
    AccountId string
    Account id of the GPU instance to get console access for.
    account_id string
    Account id of the GPU instance to get console access for.
    accountId String
    Account id of the GPU instance to get console access for.
    accountId string
    Account id of the GPU instance to get console access for.
    account_id str
    Account id of the GPU instance to get console access for.
    accountId String
    Account id of the GPU instance to get console access for.

    gpuConsole Result

    The following output properties are available:

    Raw string
    Raw JSON of the full response.
    Url string
    Console access URL from POST /neo-gpus/accounts/{account_id}/console-access. Side-effecting: each call may mint a new one-time session, do not use inside plan diffing.
    Raw string
    Raw JSON of the full response.
    Url string
    Console access URL from POST /neo-gpus/accounts/{account_id}/console-access. Side-effecting: each call may mint a new one-time session, do not use inside plan diffing.
    raw string
    Raw JSON of the full response.
    url string
    Console access URL from POST /neo-gpus/accounts/{account_id}/console-access. Side-effecting: each call may mint a new one-time session, do not use inside plan diffing.
    raw String
    Raw JSON of the full response.
    url String
    Console access URL from POST /neo-gpus/accounts/{account_id}/console-access. Side-effecting: each call may mint a new one-time session, do not use inside plan diffing.
    raw string
    Raw JSON of the full response.
    url string
    Console access URL from POST /neo-gpus/accounts/{account_id}/console-access. Side-effecting: each call may mint a new one-time session, do not use inside plan diffing.
    raw str
    Raw JSON of the full response.
    url str
    Console access URL from POST /neo-gpus/accounts/{account_id}/console-access. Side-effecting: each call may mint a new one-time session, do not use inside plan diffing.
    raw String
    Raw JSON of the full response.
    url String
    Console access URL from POST /neo-gpus/accounts/{account_id}/console-access. Side-effecting: each call may mint a new one-time session, do not use inside plan diffing.

    Package Details

    Repository
    biznetgio github.com/shirasakaren/pulumi-biznetgio
    License
    Apache-2.0
    biznetgio logo
    Viewing docs for Pulumi BiznetGIO Provider v0.1.7
    published on Wednesday, Aug 19, 2026 by shirasakaren

      Try Pulumi Cloud free.
      Your team will thank you.

      Start free trial